Bug 1753953 - [IPI][OSP] [Feature:Platform][Smoke] Managed cluster should ensure control plane operators do not make themselves unevictable [Suite:openshift/conformance/parallel] fails
Summary: [IPI][OSP] [Feature:Platform][Smoke] Managed cluster should ensure control pl...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Machine Config Operator
Version: 4.2.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 4.3.0
Assignee: Mike Fedosin
QA Contact: Michael Nguyen
URL:
Whiteboard:
Depends On:
Blocks: 1757355
TreeView+ depends on / blocked
 
Reported: 2019-09-20 10:56 UTC by Martin André
Modified: 2020-01-23 11:07 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1757355 (view as bug list)
Environment:
Last Closed: 2020-01-23 11:06:39 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift machine-config-operator pull 1127 None closed Bug 1753953: Temporarily put OpenStack infra pods into non-existing namespace 2020-02-13 12:20:34 UTC
Red Hat Product Errata RHBA-2020:0062 None None None 2020-01-23 11:07:04 UTC

Description Martin André 2019-09-20 10:56:27 UTC
One of the consequences of making the static pods known to k8s in #1122 is that now the smoke test complain that some of the pods do not comply with the requirements.

The "[Feature:Platform][Smoke] Managed cluster should ensure control plane operators do not make themselves unevictable [Suite:openshift/conformance/parallel]" test fails with:

fail [github.com/openshift/origin/test/extended/operators/tolerations.go:72]: Sep 19 23:57:41.038: 
21 pods found with invalid tolerations:
openshift-openstack-infra/coredns-y0dvd81v-1bfcb-dpkkn-master-0 tolerates all taints
openshift-openstack-infra/coredns-y0dvd81v-1bfcb-dpkkn-master-1 tolerates all taints
openshift-openstack-infra/coredns-y0dvd81v-1bfcb-dpkkn-master-2 tolerates all taints
openshift-openstack-infra/coredns-y0dvd81v-1bfcb-dpkkn-worker-854p7 tolerates all taints
openshift-openstack-infra/coredns-y0dvd81v-1bfcb-dpkkn-worker-ltwhh tolerates all taints
openshift-openstack-infra/coredns-y0dvd81v-1bfcb-dpkkn-worker-r9zsg tolerates all taints
openshift-openstack-infra/haproxy-y0dvd81v-1bfcb-dpkkn-master-0 tolerates all taints
openshift-openstack-infra/haproxy-y0dvd81v-1bfcb-dpkkn-master-1 tolerates all taints
openshift-openstack-infra/haproxy-y0dvd81v-1bfcb-dpkkn-master-2 tolerates all taints
openshift-openstack-infra/keepalived-y0dvd81v-1bfcb-dpkkn-master-0 tolerates all taints
openshift-openstack-infra/keepalived-y0dvd81v-1bfcb-dpkkn-master-1 tolerates all taints
openshift-openstack-infra/keepalived-y0dvd81v-1bfcb-dpkkn-master-2 tolerates all taints
openshift-openstack-infra/keepalived-y0dvd81v-1bfcb-dpkkn-worker-854p7 tolerates all taints
openshift-openstack-infra/keepalived-y0dvd81v-1bfcb-dpkkn-worker-ltwhh tolerates all taints
openshift-openstack-infra/keepalived-y0dvd81v-1bfcb-dpkkn-worker-r9zsg tolerates all taints
openshift-openstack-infra/mdns-publisher-y0dvd81v-1bfcb-dpkkn-master-0 tolerates all taints
openshift-openstack-infra/mdns-publisher-y0dvd81v-1bfcb-dpkkn-master-1 tolerates all taints
openshift-openstack-infra/mdns-publisher-y0dvd81v-1bfcb-dpkkn-master-2 tolerates all taints
openshift-openstack-infra/mdns-publisher-y0dvd81v-1bfcb-dpkkn-worker-854p7 tolerates all taints
openshift-openstack-infra/mdns-publisher-y0dvd81v-1bfcb-dpkkn-worker-ltwhh tolerates all taints
openshift-openstack-infra/mdns-publisher-y0dvd81v-1bfcb-dpkkn-worker-r9zsg tolerates all taints

Comment 1 Kirsten Garrison 2019-09-20 19:35:37 UTC
This origin PR is passing CI, is there any reason it cant get merged:
https://github.com/openshift/origin/pull/23833

Comment 2 Kirsten Garrison 2019-09-21 16:37:36 UTC
Will this bug be addressed by the fix merged for this BZ? https://bugzilla.redhat.com/show_bug.cgi?id=1753932

Comment 3 Kirsten Garrison 2019-09-22 15:32:43 UTC
The MCO PR merged but this bug is still stuck in POST bc of the attached origin PR which is still open & unapproved.  

Martin, Mike: do you still need that origin PR?  If not, can you remove it from this BZ?

Comment 4 Martin André 2019-09-23 15:32:14 UTC
@Kirsten: I'd leave that bug open with the origin PR, as we've not fixed the bug but only temporarily disabled what triggered it.

Comment 5 Kirsten Garrison 2019-09-23 16:27:01 UTC
Spoke with Martin/Eric/Mike and the MCO PR is sufficient to close this BZ. Removed origin PR.

Comment 11 errata-xmlrpc 2020-01-23 11:06:39 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0062


Note You need to log in before you can comment on or make changes to this bug.